/*=======================================================*/
/*  TVJSTART.C                                           */
/*     application management functions                  */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*======================================================*/
/* DVapp_start  create a new application in a new       */
/*              process                                 */
/*   Ralf Brown 4/23/88                                 */
/*======================================================*/

OBJECT pascal DVapp_start(void *pif, int pif_size)
{
   _DI = FP_OFF((void far *)pif) ;
   _ES = FP_SEG((void far *)pif) ;
   _BX = pif_size ;
   _AX = 0x102C ;
   geninterrupt(0x15) ;
   return MK_OBJ(_BX) ;
}

/* End of TVJSTART.C */
